### Method

# Foundry VcsDelta serialize

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_vcs_delta_serialize (
      FoundryVcsDelta* self,
      guint context_lines
    )

#### Description [src]

Serializes the delta to a unified diff format string.

Available since: 1.1

#### Parameters

`context_lines`

  Type: `guint`

  The number of context lines to include.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a string containing the serialized diff.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.